# 
# spec file for package sca-patterns-oes
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

%define sca_common sca
%define patdirbase /usr/lib/%{sca_common}
%define patdir %{patdirbase}/patterns
%define patuser root
%define patgrp root
%define mode 544
%define category OES

Name:         sca-patterns-oes
Version:      1.3
Release:      1.1
Summary:      Supportconfig Analysis Patterns for OES
License:      GPL-2.0
URL:          https://github.com/g23guy/sca-patterns-oes
Group:        System/Monitoring
Source:       %{name}-%{version}.tar.gz
BuildRequires: fdupes
Requires:     sca-patterns-base
Buildarch:    noarch

%description
Supportconfig Analysis (SCA) appliance patterns to identify known
issues relating to all versions of Open Enterprise Server (OES)

See %{_docdir}/sca-patterns-base/COPYING.GPLv2

%prep
%setup -q

%build

%install
pwd;ls -la
install -d %{buildroot}/%{patdir}/%{category}
install -d %{buildroot}/%{patdir}/%{category}/oes11all
install -d %{buildroot}/%{patdir}/%{category}/oes11sp1
install -d %{buildroot}/%{patdir}/%{category}/oes11sp2
install -d %{buildroot}/%{patdir}/%{category}/oes1all
install -d %{buildroot}/%{patdir}/%{category}/oes2all
install -d %{buildroot}/%{patdir}/%{category}/oes2sp3
install -m %{mode} patterns/%{category}/oes11all/* %{buildroot}/%{patdir}/%{category}/oes11all
install -m %{mode} patterns/%{category}/oes11sp1/* %{buildroot}/%{patdir}/%{category}/oes11sp1
install -m %{mode} patterns/%{category}/oes11sp2/* %{buildroot}/%{patdir}/%{category}/oes11sp2
install -m %{mode} patterns/%{category}/oes1all/* %{buildroot}/%{patdir}/%{category}/oes1all
install -m %{mode} patterns/%{category}/oes2all/* %{buildroot}/%{patdir}/%{category}/oes2all
install -m %{mode} patterns/%{category}/oes2sp3/* %{buildroot}/%{patdir}/%{category}/oes2sp3
%fdupes %{buildroot}

%files
%defattr(-,%{patuser},%{patgrp})
%dir %{patdirbase}
%dir %{patdir}
%dir %{patdir}/%{category}
%dir %{patdir}/%{category}/oes11all
%dir %{patdir}/%{category}/oes11sp1
%dir %{patdir}/%{category}/oes11sp2
%dir %{patdir}/%{category}/oes1all
%dir %{patdir}/%{category}/oes2all
%dir %{patdir}/%{category}/oes2sp3
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/oes11all/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/oes11sp1/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/oes11sp2/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/oes1all/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/oes2all/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/oes2sp3/*

%changelog
* Tue Jan  2 2018 jason.record@suse.com
- Removed unnecessary %%clean from spec
* Mon Dec 18 2017 jason.record@suse.com
- Updated spec file with spec-cleaner suggestions
- Removed COPYING.GPLv2
* Fri Jun  2 2017 jason.record@suse.com
- Added security patterns (bsc#1042514)
* Tue Feb 23 2016 jrecord@suse.com
- Updated patterns (bsc#953203)
* Wed Aug 26 2015 jrecord@suse.com
- New Pattern
  oes11all/ncs-lvm-lock-7016788.py
* Mon Aug 24 2015 jrecord@suse.com
- Update Makefile with obnew
* Thu Mar 26 2015 jrecord@suse.com
- Removed obsolete pattern
  oes11all/lumcert-00001.pl
* Wed Dec 17 2014 jrecord@suse.com
- New Pattern
  oes11sp2/sfcb-ssl-7015980.py
* Tue Dec 16 2014 jrecord@suse.com
- New Patterns
  oes11sp1/dsfw-crash-7015998.py
  oes11sp2/dsfw-crash-7015998.py
* Wed Nov 19 2014 jrecord@suse.com
- Fixed uninitialized THIS_MOUNT in oes2all/nfsnss-00001.pl
* Tue Sep 23 2014 jrecord@suse.com
- New Patterns
  oes11sp1/ganglia-7015651.py
  oes11sp2/ganglia-7015651.py
* Wed Sep 10 2014 jrecord@suse.com
- New Patterns
  oes11all/lum-7015635.py
* Fri Jul 25 2014 jrecord@suse.com
- Changed newest patterns to linux file format
* Thu Jul 24 2014 jrecord@suse.com
- Added oes11sp1 and oes11sp2 directories
- New Patterns
  oes11sp1/dsfw-7014322-sp1.py
  oes11sp2/casa-7015222_2.py
  oes11sp2/dsfw-7014322-sp2.py
* Fri Apr 25 2014 jrecord@suse.com
- Fixed reg-00001.pl uninitialized value
- Fixed reg-00001.pl to use installation_source
- Fixed ncs-00001.pl sbd not found error (bnc#774223)
* Wed Apr 16 2014 jrecord@suse.com
- Moved OES/all to oes1all, oes2all and oes11all
* Mon Mar 24 2014 jrecord@suse.com
- Added Pattern
  oes11all/ncpconf-7013350.py
  oes2all/ncpconf-7013350.py
* Fri Mar 21 2014 jrecord@suse.com
- Fixed spec macro
* Thu Mar 20 2014 jrecord@suse.com
- Removed duplicates with fdupes
- Fixed FSF address in all patterns
- Change to System/Monitoring spec Group
* Fri Feb 21 2014 jrecord@suse.com
- Fixed hash pling in edir-7014591.py
* Thu Feb 20 2014 jrecord@suse.com
- Added pattern
  oes11all/edir-7014591.py
* Fri Feb 14 2014 jrecord@suse.com
- Added pattern
  oes2all/named-7014558.py
  oes11all/named-7014558.py
* Fri Jan 31 2014 jrecord@suse.com
- includes pertinent patterns from sca-patterns-samba
- includes pertinent patterns from sca-patterns-basic
- includes pertinent patterns from sca-patterns-ncs
* Thu Jan 16 2014 jrecord@suse.com
- relocated files according to FHS
- added and fixed links in casadns-00001.pl
* Fri Dec 20 2013 jrecord@suse.com
- separated as individual RPM package
